{config, ...}: {
  xdg = {
    enable = true;
    userDirs.enable = true;
    cacheHome = "${config.home.homeDirectory}/.cache";
    configHome = "${config.home.homeDirectory}/.config";
    dataHome = "${config.home.homeDirectory}/.local/share";
    desktopEntries.ghostty = {
      name = "Ghostty";
      type = "Application";
      comment = "A terminal emulator";
      exec = "/home/jolheiser/.local/share/ghostty/bin/ghostty";
      icon = "com.mitchellh.ghostty";
      categories = ["System" "TerminalEmulator" "Utility"];
      startupNotify = true;
      terminal = false;
      #actions."new-window" = {
      #  name = "New Window";
      #  exec = "ghostty";
      #};
    };
  };
}
